1

I've been trying to use links in my org files but it doesn't work as I'd expect. It works as is should - convert [[target][Desc]] to Desc and make it clickable for any target, except when the target ends with .org. Then it is just the "raw" text version. I've tested in on an empty init.el with the same result.

[[file:~/test.or][Works]]
[[file:~/test.org][Does not work]]
[[file:~/test.org-][Works]]

emacs Whenever I change the org extension either by adding a letter or subracting one, it folds the link properly. What should I adjust to fix it?

Emacs version: emacs-26.3-z-mac-7.8

Thanks!

  • This works fine for me. What is your org-mode version? Do you change any standard settings? – Andrew Swann Feb 23 at 11:57
  • The org version is 9.1.9. I ralize that it should work by default but for some reason I can't get it working even when the config is the default one for emacs. So there is probably something wrong on my system but I'd need help to find the problem. – chg Feb 23 at 17:33
  • Can you post a screen shot of what you see? – Andrew Swann Feb 24 at 8:46
  • AFAIK fontification of org-links is the job of font-lock. At first you could check the Messages buffer. Maybe, it indicates what goes wrong. As a second option you could you use font-lock-studio to step through the fontification rules. font-lock-studio is available via Melpa. Input M-x font-lock-studio when you are in your org file use the Font Lock Studio menu to step through the rules. If something goes wrong the debugger will give you a backtrace. You could post that backtrace here. – Tobias Feb 24 at 10:53
  • Maybe related: emacs.stackexchange.com/questions/55766/… – Tobias Feb 25 at 9:08
1

The problem is related to org-roam library. Upgrading org to 9.3.6-17-g389288-elpafixes the problem.

This is how you can upgrade org which by default is a built-in library. Add to init.el

(require 'package)
(add-to-list 'package-archives '("org" . "https://orgmode.org/elpa/") t)

Reload emacs and run M-x list-packages RET.

Find org and you'll see two available versions. Install the one from orgmode elpa.

After restarting, the newer version should be run (which you can confirm by M-x org-version).

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.